Page MenuHomePhabricator

Planned labs maintenance on tools-db: Puppetization + log file change
Closed, ResolvedPublic

Description

Why is being done

For T88234 to be completed, https://dev.mysql.com/doc/refman/5.5/en/innodb-data-log-reconfiguration.html needs to be done. Since this also has other changes being bundled in, a small window of planned maintenance would be appropriate.

What is going to be affected?

tools-db on labsdb1005. Would be down for a small amount of time.

How is this being done?

https://dev.mysql.com/doc/refman/5.5/en/innodb-data-log-reconfiguration.html will be followed by hand.

When is this planned?

2015-04-16 02:00 UTC

Possible to roll back / stop mid way? Recovery plan if it goes belly up?

I guess we could just put the old config back, disable puppet, and start it back up? {{citationneeded}}

Event Timeline

yuvipanda raised the priority of this task from to Needs Triage.
yuvipanda updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 1 2015, 12:33 AM
yuvipanda set Security to None.
yuvipanda updated the task description. (Show Details)Apr 1 2015, 1:03 AM

Yes, the recovery plan can be as simple as put-the-old-config-back.

Since there is no replication slave (right?) for tools-db, we should dump the data first.

coren added a comment.Apr 2 2015, 2:41 AM

Since there is no replication slave (right?

That's Phase II. :-)

coren added a comment.Apr 2 2015, 2:41 AM

Should we schedule this tentatively for Thursday next?

scfc triaged this task as Normal priority.Apr 6 2015, 11:03 AM
scfc moved this task from Triage to Backlog on the Toolforge board.
scfc added a subscriber: scfc.
coren added a comment.Apr 7 2015, 2:50 PM

@Springle: Ping? It's now too late to schedule this for this Thursday if you expect any outage at all given we have decided on a week's notice - can you okay a window for next week, then?

I just spoke to @Springle on IRC and he said coming Thursday (16th April) 0200 UTC is good for him.

@coren can you mail out a notice?

coren added a comment.Apr 10 2015, 1:16 PM

Notice mail't

coren updated the task description. (Show Details)Apr 10 2015, 5:37 PM
yuvipanda closed this task as Resolved.Apr 16 2015, 2:50 AM
yuvipanda claimed this task.

All done now \o/